#[derive(PartialEq, Eq, Debug)]
pub enum AvailabilityAssignmentState {
    // availability is not assigned at all or at least not timely conflicting
    Unassigned,
    // availability is assigned for another event that is timely conflicting
    Conflicting,
    // availability is assigned to this event as Posten
    AssignedPosten(i32),
    // availability is assigned to this event as Führungsassistent
    AssignedFührungsassistent(i32),
    // availability is assigned to this event as Wachhabender
    AssignedWachhabender(i32),
}

